%define version 1.0.24.1

%define firm_beta 0

%if %firm_beta
%define firm_name alsa-firmware-%version%firm_beta
%else
%define firm_name alsa-firmware-%version
%endif

Name:		alsa-firmware
Version:	%version
%if %firm_beta
Release:	%mkrel 0.%{firm_beta}.2
%else
Release:	%mkrel 2
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) tools
# use the linceses figured out by Fedora, for a break down of where each lincense
# comes from see:
# http://pkgs.fedoraproject.org/gitweb/?p=alsa-firmware.git;a=blob;f=alsa-firmware.spec
License:	GPL+ and BSD and GPLv2+ and GPLv2 and LGPLv2+
URL:		http://alsa-project.org
Source0:	ftp://ftp.alsa-project.org/pub/firmware/%firm_name.tar.bz2
Source1:	audio_dock_netlist.h
Group:		Sound
Requires:	alsa-tools-firmware >= %{version}
Requires:	udev
BuildRequires:	automake
BuildRequires:	autoconf
BuildArch:	noarch
Obsoletes:	aica-firmware asihpi-firmware emagic-firmware emu1010-firmware sb16-firmware
Provides:	aica-firmware asihpi-firmware emagic-firmware emu1010-firmware sb16-firmware

Obsoletes:	korg1212-firmware maestro3-firmware turtlebeach-firmware yamaha-firmware
Provides:	korg1212-firmware maestro3-firmware turtlebeach-firmware yamaha-firmware

# (ahmad) provide echomixer-firmware, and not echomixer, so as not to obsolete
# echomixer here and in alsa-tools; urpmi can't soomthly handle a package
# obsoleted by two packages
Provides:	echomixer-firmware

%description
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in
the alsa-tools-firmware package.

%prep
%setup -q
cp %SOURCE1 emu/audio_dock_netlist.h

%build
libtoolize -c -f
autoreconf
%configure2_5x --with-hotplug-dir=/lib/firmware --disable-loader
%make

# (Fedora) Rename README files from firmware subdirs that have them
for i in hdsploader mixartloader pcxhrloader usx2yloader vxloader
do
  mv ${i}/README README.${i}
done

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README*
/lib/firmware/aica_firmware.bin
/lib/firmware/asihpi
/lib/firmware/ea/
/lib/firmware/emagic/
/lib/firmware/emu/
/lib/firmware/digiface_*
/lib/firmware/multiface_*
/lib/firmware/rpm_firmware.bin
/lib/firmware/korg/k1212.dsp
/lib/firmware/pcxhr/
/lib/firmware/vx/
/lib/firmware/turtlebeach/
/lib/firmware/yamaha/
/lib/firmware/sb16/
/lib/firmware/mixart/
/lib/firmware/ess/
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/usx2yloader


%changelog
* Fri Mar 11 2011 ahmad <ahmad> 1.0.24.1-2.mga1
+ Revision: 68255
- provide echomixer-firmware, and not echomixer, so as not to obsolete echomixer
  here and in alsa-tools; urpmi can't soomthly handle a package obsoleted by two
  packages

* Tue Mar 08 2011 ahmad <ahmad> 1.0.24.1-1.mga1
+ Revision: 66349
- imported package alsa-firmware

